routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/entertainment',function(){
    return view('/Template/Homepage');
});

Route::resource('/categories','CategoryController');

Route::group(['prefix'=> '/entertainment', 'middleware'=>['user','auth']], function(){
    Route::resource('/Dashboard/User','UserController');
});
Route::group(['prefix'=> '/entertainment', 'middleware'=>['admin','auth']], function(){
    Route::resource('/Dashboard/Admin','AdminController');
});


Route::get('/Comments','CommentController@index')->name('comments.index');
Route::get('/Comments/Create','CommentController@create')->name('comments.create');
Route::post('Comments','CommentController@store')->name('comments.store');
Route::get('/Comments/{id}/Edit','CommentController@edit')->name('comments.edit');
Route::put('/Comments/{id}','CommentController@update')->name('comments.update');
Route::delete('/Comments/{id}','CommentController@destroy')->name('comments.destroy');


// Route::get('/News','NewsController@index')->name('news.index');
// Route::get('/News/Create','NewsController@create')->name('news.create');
// Route::get('/News','NewsController@store')->name('news.store');

Route::get('/News','NewsController@index')->name('news.index');
Route::get('/News/Create','NewsController@create')->name('news.create');
Route::post('/News','NewsController@store')->name('news.store');

app/Http/Controllers/CategoryController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class CategoryController extends Controller
{
    
    public function index()
    {   
        $data_categories = \App\CategoryModel::all();
        return view('Category.index', ['data_categories'=> $data_categories]);
    }

    
    public function create()
    {
        
    }

    
    public function store(Request $request)
    {
        
    }

    
    public function show($id)
    {
        
    }

    
    public function edit($id)
    {
        
    }

    public function update(Request $request, $id)
    {
    
    }

    
    public function destroy($id)
    {
        
    }
}

resources/views/Category/index.blade.php
@extends('Admin.app')

@section('title','AdminIndex')
@section('content')
@include('Template.Partials.SideNavigator')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Admin Dashboard</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in as <strong>ADMIN</strong>
                </div>

                
        <div class="table-responsive">
                <table class="table table-striped">
                    <thead>
                        <tr class="table-primary">
                            <th scope="col">ID</th>
                            <th scope="col">Name</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($data_categories as $category)
                        <tr>
                            <td>{{ $category->id }}</td>
                            <td>{{ $category->Name }}</td>

                            {{-- <td>
                                <a class="btn-sm btn-success d-inline" href="{{route('categories.edit',['id'=>$category['id']]) }}">
                                    <span data-feather="edit-2">Edit</span><span class="sr-only">(current)</span>
                                </a>
                                 --}}
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
            </div>
        </div>
    </div>
</div>
@endsection